> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fullenrich.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a BYOK Key

> Delete the key and its credentials. Deletion works when BYOK is not enabled for the workspace.

Delete the key and its credentials.

* The response has no body.
* Deletion works when BYOK is not enabled for the workspace, so you can always remove your credentials.


## OpenAPI

````yaml api/v2/reference/openapi.yaml DELETE /providers/{provider}
openapi: 3.1.0
info:
  title: FullEnrich API Documentation
  version: 2.0.0
  description: >
    FullEnrich API enables you to enrich B2B contacts with emails and phone
    numbers using data from 20+ providers.


    We are GDPR and CCPA compliant.
servers:
  - url: https://app.fullenrich.com/api/v2
security: []
paths:
  /providers/{provider}:
    parameters:
      - $ref: '#/components/parameters/ProviderPath'
    delete:
      summary: Delete a BYOK key
      description: >-
        Delete the key and its credentials. Deletion works when BYOK is not
        enabled for the workspace.
      operationId: deleteBYOKKey
      parameters:
        - $ref: '#/components/parameters/SubAccountIDHeader'
      responses:
        '204':
          description: Deleted
        '400':
          description: Unknown provider name
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: error.provider_config.provider_unsupported
                message: Provider is not supported for BYOK
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/BYOKKeyNotFound'
        '429':
          $ref: '#/components/responses/RateLimitExceeded'
      security:
        - BearerAuth: []
components:
  parameters:
    ProviderPath:
      name: provider
      in: path
      required: true
      description: Provider identifier. Case-insensitive.
      schema:
        $ref: '#/components/schemas/ProviderName'
      example: prospeo
    SubAccountIDHeader:
      name: Sub-Account-ID
      in: header
      required: false
      description: >-
        Manage the keys of one sub-account instead of the workspace keys. See
        the Sub-accounts section of the BYOK overview.
      schema:
        type: string
        format: uuid
      example: 70ff6a88-6291-417d-b6cd-04f1ca123470
  schemas:
    Error:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
      required:
        - code
        - message
    ProviderName:
      type: string
      description: >-
        Provider identifier. Case-insensitive in requests; responses use
        lowercase.
      enum:
        - prospeo
        - enrow
        - cleon1
        - datagma
        - aviato
        - wiza
        - forager_ai
        - icypeas
        - contact_out
        - people_data_labs
        - lusha
        - apollo_io
        - zoominfo
      example: prospeo
  responses:
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            AuthorizationHeaderNotSet:
              value:
                code: error.authorization.not_set
                message: Authorization headers not set
            AuthorizationHeaderNotBearer:
              value:
                code: error.authorization.not_bearer
                message: Authorization headers do not have prefix 'bearer'
            UnknownApiKey:
              value:
                code: error.api.key
                message: Unknown api key
    BYOKKeyNotFound:
      description: >-
        No key for this provider in the selected scope, or the sub-account named
        in the header does not exist
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            KeyNotFound:
              value:
                code: error.provider_config.not_found
                message: Provider configuration not found
            SubAccountNotFound:
              value:
                code: error.sub_account.not_found
                message: Sub-account not found
            SubAccountArchived:
              summary: Write request for an archived sub-account
              value:
                code: error.sub_account.archived
                message: Sub-account is archived
    RateLimitExceeded:
      description: Too Many Requests
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            code: error.rate.limit
            message: Too many requests. Try again in 1m
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: string

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.